package cn.com.countrygarden.bi.main.model.eba;

import java.util.Date;
import javax.persistence.*;

@Table(name = "tbm_maintain_task")
public class TbmMaintainTask {
    @Id
    @Column(name = "task_id")
    private String taskId;

    @Column(name = "category_id")
    private Long categoryId;

    @Column(name = "create_date")
    private Date createDate;

    private String creator;

    @Column(name = "curr_id")
    private Long currId;

    @Column(name = "operate_date")
    private Date operateDate;

    private String operator;

    @Column(name = "origin_id")
    private Long originId;

    @Column(name = "owner_id")
    private Long ownerId;

    @Column(name = "sour_id")
    private Long sourId;

    @Column(name = "task_state")
    private Long taskState;

    @Column(name = "cate_id")
    private Long cateId;

    @Column(name = "project_id")
    private Long projectId;

    private String location;

    @Column(name = "odd_num")
    private String oddNum;

    @Column(name = "task_desc")
    private String taskDesc;

    @Column(name = "select_proc")
    private String selectProc;

    @Column(name = "conn_phone")
    private String connPhone;

    @Column(name = "repair_user")
    private String repairUser;

    @Column(name = "appoint_time")
    private Date appointTime;

    @Column(name = "build_location")
    private String buildLocation;

    @Column(name = "building_id")
    private Long buildingId;

    @Column(name = "cancel_date")
    private Date cancelDate;

    @Column(name = "cate_number")
    private Long cateNumber;

    @Column(name = "complete_date")
    private Date completeDate;

    @Column(name = "cp_revoke_state")
    private Integer cpRevokeState;

    @Column(name = "depart_id")
    private Long departId;

    @Column(name = "destory_date")
    private Date destoryDate;

    @Column(name = "destroy_order_satisfy_desc")
    private String destroyOrderSatisfyDesc;

    @Column(name = "destroy_order_satisfy_id")
    private Long destroyOrderSatisfyId;

    @Column(name = "device_id")
    private Long deviceId;

    @Column(name = "help_userids")
    private String helpUserids;

    @Column(name = "is_again")
    private Integer isAgain;

    @Column(name = "is_avail")
    private Long isAvail;

    @Column(name = "is_timeout_complete")
    private Integer isTimeoutComplete;

    @Column(name = "maintain_userid")
    private Long maintainUserid;

    @Column(name = "mtain_duration")
    private Double mtainDuration;

    @Column(name = "mtain_users")
    private String mtainUsers;

    @Column(name = "ql_revoke_state")
    private Integer qlRevokeState;

    @Column(name = "recieve_cate")
    private Long recieveCate;

    @Column(name = "recieve_date")
    private Date recieveDate;

    @Column(name = "reject_path")
    private String rejectPath;

    @Column(name = "respone_type")
    private Integer responeType;

    @Column(name = "revoke_url")
    private String revokeUrl;

    @Column(name = "rv_revoke_state")
    private Integer rvRevokeState;

    @Column(name = "sd_revoke_state")
    private Integer sdRevokeState;

    @Column(name = "send_date")
    private Date sendDate;

    @Column(name = "send_is_auto")
    private Long sendIsAuto;

    @Column(name = "task_nature")
    private Integer taskNature;

    @Column(name = "task_source")
    private Long taskSource;

    @Column(name = "the_initator")
    private Long theInitator;

    @Column(name = "unSatisfy_count")
    private Long unsatisfyCount;

    private Long urgent;

    @Column(name = "verification_id")
    private String verificationId;

    @Column(name = "remark_id")
    private Long remarkId;

    @Column(name = "is_repeat")
    private Long isRepeat;

    @Column(name = "mtain_reason")
    private Integer mtainReason;

    @Column(name = "ration_duration")
    private Double rationDuration;

    private Integer warranty;

    @Column(name = "use_material")
    private Integer useMaterial;

    @Column(name = "check_material")
    private Long checkMaterial;

    @Column(name = "build_address")
    private String buildAddress;

    @Column(name = "device_codes")
    private String deviceCodes;

    @Column(name = "is_warning")
    private Long isWarning;

    @Column(name = "labour_charges")
    private Double labourCharges;

    @Column(name = "material_price")
    private Double materialPrice;

    @Column(name = "mtain_level")
    private Integer mtainLevel;

    @Column(name = "total_price")
    private Double totalPrice;

    @Column(name = "is_task_checkd")
    private Integer isTaskCheckd;

    @Column(name = "access_date")
    private Date accessDate;

    @Column(name = "addr_id")
    private Long addrId;

    @Column(name = "create_warning_date")
    private Date createWarningDate;

    @Column(name = "delivery_date")
    private Date deliveryDate;

    @Column(name = "device_rule_id")
    private Long deviceRuleId;

    @Column(name = "is_warning_count")
    private Long isWarningCount;

    @Column(name = "patrol_sys_id")
    private Long patrolSysId;

    @Column(name = "recieve_warning_date")
    private Date recieveWarningDate;

    @Column(name = "send_warning_date")
    private Date sendWarningDate;

    @Column(name = "team_id")
    private Long teamId;

    @Column(name = "send_flag")
    private Integer sendFlag;

    @Column(name = "finish_duration")
    private Double finishDuration;

    @Column(name = "is_return_call")
    private Integer isReturnCall;

    @Column(name = "reason_main_id")
    private String reasonMainId;

    @Column(name = "reason_name")
    private String reasonName;

    @Column(name = "reason_summary")
    private String reasonSummary;

    @Column(name = "total_cate_number")
    private Long totalCateNumber;

    @Column(name = "is_legacy")
    private Integer isLegacy;

    @Column(name = "man_hour")
    private Double manHour;

    @Column(name = "waring_record_id")
    private String waringRecordId;

    @Column(name = "from_type")
    private String fromType;

    @Column(name = "machine_qr_id")
    private String machineQrId;

    @Column(name = "if_paid")
    private String ifPaid;

    @Column(name = "img_urls")
    private String imgUrls;

    @Column(name = "from_bgy")
    private Boolean fromBgy;

    @Column(name = "is_sendeddestorywarnmsg")
    private Integer isSendeddestorywarnmsg;

    @Column(name = "is_sendedstorecheckwarnmsg")
    private Integer isSendedstorecheckwarnmsg;

    @Column(name = "is_third")
    private String isThird;

    @Column(name = "third_party_areaid")
    private String thirdPartyAreaid;

    @Column(name = "third_party_houseid")
    private String thirdPartyHouseid;

    @Column(name = "third_party_ownerid")
    private String thirdPartyOwnerid;

    @Column(name = "third_party_owneridfhh")
    private String thirdPartyOwneridfhh;

    @Column(name = "third_party_taskid")
    private String thirdPartyTaskid;

    @Column(name = "third_party_type")
    private Long thirdPartyType;

    /**
     * @return task_id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * @param taskId
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * @return category_id
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * @param categoryId
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * @return create_date
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     * @param createDate
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * @return creator
     */
    public String getCreator() {
        return creator;
    }

    /**
     * @param creator
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * @return curr_id
     */
    public Long getCurrId() {
        return currId;
    }

    /**
     * @param currId
     */
    public void setCurrId(Long currId) {
        this.currId = currId;
    }

    /**
     * @return operate_date
     */
    public Date getOperateDate() {
        return operateDate;
    }

    /**
     * @param operateDate
     */
    public void setOperateDate(Date operateDate) {
        this.operateDate = operateDate;
    }

    /**
     * @return operator
     */
    public String getOperator() {
        return operator;
    }

    /**
     * @param operator
     */
    public void setOperator(String operator) {
        this.operator = operator;
    }

    /**
     * @return origin_id
     */
    public Long getOriginId() {
        return originId;
    }

    /**
     * @param originId
     */
    public void setOriginId(Long originId) {
        this.originId = originId;
    }

    /**
     * @return owner_id
     */
    public Long getOwnerId() {
        return ownerId;
    }

    /**
     * @param ownerId
     */
    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    /**
     * @return sour_id
     */
    public Long getSourId() {
        return sourId;
    }

    /**
     * @param sourId
     */
    public void setSourId(Long sourId) {
        this.sourId = sourId;
    }

    /**
     * @return task_state
     */
    public Long getTaskState() {
        return taskState;
    }

    /**
     * @param taskState
     */
    public void setTaskState(Long taskState) {
        this.taskState = taskState;
    }

    /**
     * @return cate_id
     */
    public Long getCateId() {
        return cateId;
    }

    /**
     * @param cateId
     */
    public void setCateId(Long cateId) {
        this.cateId = cateId;
    }

    /**
     * @return project_id
     */
    public Long getProjectId() {
        return projectId;
    }

    /**
     * @param projectId
     */
    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    /**
     * @return location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return odd_num
     */
    public String getOddNum() {
        return oddNum;
    }

    /**
     * @param oddNum
     */
    public void setOddNum(String oddNum) {
        this.oddNum = oddNum;
    }

    /**
     * @return task_desc
     */
    public String getTaskDesc() {
        return taskDesc;
    }

    /**
     * @param taskDesc
     */
    public void setTaskDesc(String taskDesc) {
        this.taskDesc = taskDesc;
    }

    /**
     * @return select_proc
     */
    public String getSelectProc() {
        return selectProc;
    }

    /**
     * @param selectProc
     */
    public void setSelectProc(String selectProc) {
        this.selectProc = selectProc;
    }

    /**
     * @return conn_phone
     */
    public String getConnPhone() {
        return connPhone;
    }

    /**
     * @param connPhone
     */
    public void setConnPhone(String connPhone) {
        this.connPhone = connPhone;
    }

    /**
     * @return repair_user
     */
    public String getRepairUser() {
        return repairUser;
    }

    /**
     * @param repairUser
     */
    public void setRepairUser(String repairUser) {
        this.repairUser = repairUser;
    }

    /**
     * @return appoint_time
     */
    public Date getAppointTime() {
        return appointTime;
    }

    /**
     * @param appointTime
     */
    public void setAppointTime(Date appointTime) {
        this.appointTime = appointTime;
    }

    /**
     * @return build_location
     */
    public String getBuildLocation() {
        return buildLocation;
    }

    /**
     * @param buildLocation
     */
    public void setBuildLocation(String buildLocation) {
        this.buildLocation = buildLocation;
    }

    /**
     * @return building_id
     */
    public Long getBuildingId() {
        return buildingId;
    }

    /**
     * @param buildingId
     */
    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    /**
     * @return cancel_date
     */
    public Date getCancelDate() {
        return cancelDate;
    }

    /**
     * @param cancelDate
     */
    public void setCancelDate(Date cancelDate) {
        this.cancelDate = cancelDate;
    }

    /**
     * @return cate_number
     */
    public Long getCateNumber() {
        return cateNumber;
    }

    /**
     * @param cateNumber
     */
    public void setCateNumber(Long cateNumber) {
        this.cateNumber = cateNumber;
    }

    /**
     * @return complete_date
     */
    public Date getCompleteDate() {
        return completeDate;
    }

    /**
     * @param completeDate
     */
    public void setCompleteDate(Date completeDate) {
        this.completeDate = completeDate;
    }

    /**
     * @return cp_revoke_state
     */
    public Integer getCpRevokeState() {
        return cpRevokeState;
    }

    /**
     * @param cpRevokeState
     */
    public void setCpRevokeState(Integer cpRevokeState) {
        this.cpRevokeState = cpRevokeState;
    }

    /**
     * @return depart_id
     */
    public Long getDepartId() {
        return departId;
    }

    /**
     * @param departId
     */
    public void setDepartId(Long departId) {
        this.departId = departId;
    }

    /**
     * @return destory_date
     */
    public Date getDestoryDate() {
        return destoryDate;
    }

    /**
     * @param destoryDate
     */
    public void setDestoryDate(Date destoryDate) {
        this.destoryDate = destoryDate;
    }

    /**
     * @return destroy_order_satisfy_desc
     */
    public String getDestroyOrderSatisfyDesc() {
        return destroyOrderSatisfyDesc;
    }

    /**
     * @param destroyOrderSatisfyDesc
     */
    public void setDestroyOrderSatisfyDesc(String destroyOrderSatisfyDesc) {
        this.destroyOrderSatisfyDesc = destroyOrderSatisfyDesc;
    }

    /**
     * @return destroy_order_satisfy_id
     */
    public Long getDestroyOrderSatisfyId() {
        return destroyOrderSatisfyId;
    }

    /**
     * @param destroyOrderSatisfyId
     */
    public void setDestroyOrderSatisfyId(Long destroyOrderSatisfyId) {
        this.destroyOrderSatisfyId = destroyOrderSatisfyId;
    }

    /**
     * @return device_id
     */
    public Long getDeviceId() {
        return deviceId;
    }

    /**
     * @param deviceId
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * @return help_userids
     */
    public String getHelpUserids() {
        return helpUserids;
    }

    /**
     * @param helpUserids
     */
    public void setHelpUserids(String helpUserids) {
        this.helpUserids = helpUserids;
    }

    /**
     * @return is_again
     */
    public Integer getIsAgain() {
        return isAgain;
    }

    /**
     * @param isAgain
     */
    public void setIsAgain(Integer isAgain) {
        this.isAgain = isAgain;
    }

    /**
     * @return is_avail
     */
    public Long getIsAvail() {
        return isAvail;
    }

    /**
     * @param isAvail
     */
    public void setIsAvail(Long isAvail) {
        this.isAvail = isAvail;
    }

    /**
     * @return is_timeout_complete
     */
    public Integer getIsTimeoutComplete() {
        return isTimeoutComplete;
    }

    /**
     * @param isTimeoutComplete
     */
    public void setIsTimeoutComplete(Integer isTimeoutComplete) {
        this.isTimeoutComplete = isTimeoutComplete;
    }

    /**
     * @return maintain_userid
     */
    public Long getMaintainUserid() {
        return maintainUserid;
    }

    /**
     * @param maintainUserid
     */
    public void setMaintainUserid(Long maintainUserid) {
        this.maintainUserid = maintainUserid;
    }

    /**
     * @return mtain_duration
     */
    public Double getMtainDuration() {
        return mtainDuration;
    }

    /**
     * @param mtainDuration
     */
    public void setMtainDuration(Double mtainDuration) {
        this.mtainDuration = mtainDuration;
    }

    /**
     * @return mtain_users
     */
    public String getMtainUsers() {
        return mtainUsers;
    }

    /**
     * @param mtainUsers
     */
    public void setMtainUsers(String mtainUsers) {
        this.mtainUsers = mtainUsers;
    }

    /**
     * @return ql_revoke_state
     */
    public Integer getQlRevokeState() {
        return qlRevokeState;
    }

    /**
     * @param qlRevokeState
     */
    public void setQlRevokeState(Integer qlRevokeState) {
        this.qlRevokeState = qlRevokeState;
    }

    /**
     * @return recieve_cate
     */
    public Long getRecieveCate() {
        return recieveCate;
    }

    /**
     * @param recieveCate
     */
    public void setRecieveCate(Long recieveCate) {
        this.recieveCate = recieveCate;
    }

    /**
     * @return recieve_date
     */
    public Date getRecieveDate() {
        return recieveDate;
    }

    /**
     * @param recieveDate
     */
    public void setRecieveDate(Date recieveDate) {
        this.recieveDate = recieveDate;
    }

    /**
     * @return reject_path
     */
    public String getRejectPath() {
        return rejectPath;
    }

    /**
     * @param rejectPath
     */
    public void setRejectPath(String rejectPath) {
        this.rejectPath = rejectPath;
    }

    /**
     * @return respone_type
     */
    public Integer getResponeType() {
        return responeType;
    }

    /**
     * @param responeType
     */
    public void setResponeType(Integer responeType) {
        this.responeType = responeType;
    }

    /**
     * @return revoke_url
     */
    public String getRevokeUrl() {
        return revokeUrl;
    }

    /**
     * @param revokeUrl
     */
    public void setRevokeUrl(String revokeUrl) {
        this.revokeUrl = revokeUrl;
    }

    /**
     * @return rv_revoke_state
     */
    public Integer getRvRevokeState() {
        return rvRevokeState;
    }

    /**
     * @param rvRevokeState
     */
    public void setRvRevokeState(Integer rvRevokeState) {
        this.rvRevokeState = rvRevokeState;
    }

    /**
     * @return sd_revoke_state
     */
    public Integer getSdRevokeState() {
        return sdRevokeState;
    }

    /**
     * @param sdRevokeState
     */
    public void setSdRevokeState(Integer sdRevokeState) {
        this.sdRevokeState = sdRevokeState;
    }

    /**
     * @return send_date
     */
    public Date getSendDate() {
        return sendDate;
    }

    /**
     * @param sendDate
     */
    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    /**
     * @return send_is_auto
     */
    public Long getSendIsAuto() {
        return sendIsAuto;
    }

    /**
     * @param sendIsAuto
     */
    public void setSendIsAuto(Long sendIsAuto) {
        this.sendIsAuto = sendIsAuto;
    }

    /**
     * @return task_nature
     */
    public Integer getTaskNature() {
        return taskNature;
    }

    /**
     * @param taskNature
     */
    public void setTaskNature(Integer taskNature) {
        this.taskNature = taskNature;
    }

    /**
     * @return task_source
     */
    public Long getTaskSource() {
        return taskSource;
    }

    /**
     * @param taskSource
     */
    public void setTaskSource(Long taskSource) {
        this.taskSource = taskSource;
    }

    /**
     * @return the_initator
     */
    public Long getTheInitator() {
        return theInitator;
    }

    /**
     * @param theInitator
     */
    public void setTheInitator(Long theInitator) {
        this.theInitator = theInitator;
    }

    /**
     * @return unSatisfy_count
     */
    public Long getUnsatisfyCount() {
        return unsatisfyCount;
    }

    /**
     * @param unsatisfyCount
     */
    public void setUnsatisfyCount(Long unsatisfyCount) {
        this.unsatisfyCount = unsatisfyCount;
    }

    /**
     * @return urgent
     */
    public Long getUrgent() {
        return urgent;
    }

    /**
     * @param urgent
     */
    public void setUrgent(Long urgent) {
        this.urgent = urgent;
    }

    /**
     * @return verification_id
     */
    public String getVerificationId() {
        return verificationId;
    }

    /**
     * @param verificationId
     */
    public void setVerificationId(String verificationId) {
        this.verificationId = verificationId;
    }

    /**
     * @return remark_id
     */
    public Long getRemarkId() {
        return remarkId;
    }

    /**
     * @param remarkId
     */
    public void setRemarkId(Long remarkId) {
        this.remarkId = remarkId;
    }

    /**
     * @return is_repeat
     */
    public Long getIsRepeat() {
        return isRepeat;
    }

    /**
     * @param isRepeat
     */
    public void setIsRepeat(Long isRepeat) {
        this.isRepeat = isRepeat;
    }

    /**
     * @return mtain_reason
     */
    public Integer getMtainReason() {
        return mtainReason;
    }

    /**
     * @param mtainReason
     */
    public void setMtainReason(Integer mtainReason) {
        this.mtainReason = mtainReason;
    }

    /**
     * @return ration_duration
     */
    public Double getRationDuration() {
        return rationDuration;
    }

    /**
     * @param rationDuration
     */
    public void setRationDuration(Double rationDuration) {
        this.rationDuration = rationDuration;
    }

    /**
     * @return warranty
     */
    public Integer getWarranty() {
        return warranty;
    }

    /**
     * @param warranty
     */
    public void setWarranty(Integer warranty) {
        this.warranty = warranty;
    }

    /**
     * @return use_material
     */
    public Integer getUseMaterial() {
        return useMaterial;
    }

    /**
     * @param useMaterial
     */
    public void setUseMaterial(Integer useMaterial) {
        this.useMaterial = useMaterial;
    }

    /**
     * @return check_material
     */
    public Long getCheckMaterial() {
        return checkMaterial;
    }

    /**
     * @param checkMaterial
     */
    public void setCheckMaterial(Long checkMaterial) {
        this.checkMaterial = checkMaterial;
    }

    /**
     * @return build_address
     */
    public String getBuildAddress() {
        return buildAddress;
    }

    /**
     * @param buildAddress
     */
    public void setBuildAddress(String buildAddress) {
        this.buildAddress = buildAddress;
    }

    /**
     * @return device_codes
     */
    public String getDeviceCodes() {
        return deviceCodes;
    }

    /**
     * @param deviceCodes
     */
    public void setDeviceCodes(String deviceCodes) {
        this.deviceCodes = deviceCodes;
    }

    /**
     * @return is_warning
     */
    public Long getIsWarning() {
        return isWarning;
    }

    /**
     * @param isWarning
     */
    public void setIsWarning(Long isWarning) {
        this.isWarning = isWarning;
    }

    /**
     * @return labour_charges
     */
    public Double getLabourCharges() {
        return labourCharges;
    }

    /**
     * @param labourCharges
     */
    public void setLabourCharges(Double labourCharges) {
        this.labourCharges = labourCharges;
    }

    /**
     * @return material_price
     */
    public Double getMaterialPrice() {
        return materialPrice;
    }

    /**
     * @param materialPrice
     */
    public void setMaterialPrice(Double materialPrice) {
        this.materialPrice = materialPrice;
    }

    /**
     * @return mtain_level
     */
    public Integer getMtainLevel() {
        return mtainLevel;
    }

    /**
     * @param mtainLevel
     */
    public void setMtainLevel(Integer mtainLevel) {
        this.mtainLevel = mtainLevel;
    }

    /**
     * @return total_price
     */
    public Double getTotalPrice() {
        return totalPrice;
    }

    /**
     * @param totalPrice
     */
    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    /**
     * @return is_task_checkd
     */
    public Integer getIsTaskCheckd() {
        return isTaskCheckd;
    }

    /**
     * @param isTaskCheckd
     */
    public void setIsTaskCheckd(Integer isTaskCheckd) {
        this.isTaskCheckd = isTaskCheckd;
    }

    /**
     * @return access_date
     */
    public Date getAccessDate() {
        return accessDate;
    }

    /**
     * @param accessDate
     */
    public void setAccessDate(Date accessDate) {
        this.accessDate = accessDate;
    }

    /**
     * @return addr_id
     */
    public Long getAddrId() {
        return addrId;
    }

    /**
     * @param addrId
     */
    public void setAddrId(Long addrId) {
        this.addrId = addrId;
    }

    /**
     * @return create_warning_date
     */
    public Date getCreateWarningDate() {
        return createWarningDate;
    }

    /**
     * @param createWarningDate
     */
    public void setCreateWarningDate(Date createWarningDate) {
        this.createWarningDate = createWarningDate;
    }

    /**
     * @return delivery_date
     */
    public Date getDeliveryDate() {
        return deliveryDate;
    }

    /**
     * @param deliveryDate
     */
    public void setDeliveryDate(Date deliveryDate) {
        this.deliveryDate = deliveryDate;
    }

    /**
     * @return device_rule_id
     */
    public Long getDeviceRuleId() {
        return deviceRuleId;
    }

    /**
     * @param deviceRuleId
     */
    public void setDeviceRuleId(Long deviceRuleId) {
        this.deviceRuleId = deviceRuleId;
    }

    /**
     * @return is_warning_count
     */
    public Long getIsWarningCount() {
        return isWarningCount;
    }

    /**
     * @param isWarningCount
     */
    public void setIsWarningCount(Long isWarningCount) {
        this.isWarningCount = isWarningCount;
    }

    /**
     * @return patrol_sys_id
     */
    public Long getPatrolSysId() {
        return patrolSysId;
    }

    /**
     * @param patrolSysId
     */
    public void setPatrolSysId(Long patrolSysId) {
        this.patrolSysId = patrolSysId;
    }

    /**
     * @return recieve_warning_date
     */
    public Date getRecieveWarningDate() {
        return recieveWarningDate;
    }

    /**
     * @param recieveWarningDate
     */
    public void setRecieveWarningDate(Date recieveWarningDate) {
        this.recieveWarningDate = recieveWarningDate;
    }

    /**
     * @return send_warning_date
     */
    public Date getSendWarningDate() {
        return sendWarningDate;
    }

    /**
     * @param sendWarningDate
     */
    public void setSendWarningDate(Date sendWarningDate) {
        this.sendWarningDate = sendWarningDate;
    }

    /**
     * @return team_id
     */
    public Long getTeamId() {
        return teamId;
    }

    /**
     * @param teamId
     */
    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    /**
     * @return send_flag
     */
    public Integer getSendFlag() {
        return sendFlag;
    }

    /**
     * @param sendFlag
     */
    public void setSendFlag(Integer sendFlag) {
        this.sendFlag = sendFlag;
    }

    /**
     * @return finish_duration
     */
    public Double getFinishDuration() {
        return finishDuration;
    }

    /**
     * @param finishDuration
     */
    public void setFinishDuration(Double finishDuration) {
        this.finishDuration = finishDuration;
    }

    /**
     * @return is_return_call
     */
    public Integer getIsReturnCall() {
        return isReturnCall;
    }

    /**
     * @param isReturnCall
     */
    public void setIsReturnCall(Integer isReturnCall) {
        this.isReturnCall = isReturnCall;
    }

    /**
     * @return reason_main_id
     */
    public String getReasonMainId() {
        return reasonMainId;
    }

    /**
     * @param reasonMainId
     */
    public void setReasonMainId(String reasonMainId) {
        this.reasonMainId = reasonMainId;
    }

    /**
     * @return reason_name
     */
    public String getReasonName() {
        return reasonName;
    }

    /**
     * @param reasonName
     */
    public void setReasonName(String reasonName) {
        this.reasonName = reasonName;
    }

    /**
     * @return reason_summary
     */
    public String getReasonSummary() {
        return reasonSummary;
    }

    /**
     * @param reasonSummary
     */
    public void setReasonSummary(String reasonSummary) {
        this.reasonSummary = reasonSummary;
    }

    /**
     * @return total_cate_number
     */
    public Long getTotalCateNumber() {
        return totalCateNumber;
    }

    /**
     * @param totalCateNumber
     */
    public void setTotalCateNumber(Long totalCateNumber) {
        this.totalCateNumber = totalCateNumber;
    }

    /**
     * @return is_legacy
     */
    public Integer getIsLegacy() {
        return isLegacy;
    }

    /**
     * @param isLegacy
     */
    public void setIsLegacy(Integer isLegacy) {
        this.isLegacy = isLegacy;
    }

    /**
     * @return man_hour
     */
    public Double getManHour() {
        return manHour;
    }

    /**
     * @param manHour
     */
    public void setManHour(Double manHour) {
        this.manHour = manHour;
    }

    /**
     * @return waring_record_id
     */
    public String getWaringRecordId() {
        return waringRecordId;
    }

    /**
     * @param waringRecordId
     */
    public void setWaringRecordId(String waringRecordId) {
        this.waringRecordId = waringRecordId;
    }

    /**
     * @return from_type
     */
    public String getFromType() {
        return fromType;
    }

    /**
     * @param fromType
     */
    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    /**
     * @return machine_qr_id
     */
    public String getMachineQrId() {
        return machineQrId;
    }

    /**
     * @param machineQrId
     */
    public void setMachineQrId(String machineQrId) {
        this.machineQrId = machineQrId;
    }

    /**
     * @return if_paid
     */
    public String getIfPaid() {
        return ifPaid;
    }

    /**
     * @param ifPaid
     */
    public void setIfPaid(String ifPaid) {
        this.ifPaid = ifPaid;
    }

    /**
     * @return img_urls
     */
    public String getImgUrls() {
        return imgUrls;
    }

    /**
     * @param imgUrls
     */
    public void setImgUrls(String imgUrls) {
        this.imgUrls = imgUrls;
    }

    /**
     * @return from_bgy
     */
    public Boolean getFromBgy() {
        return fromBgy;
    }

    /**
     * @param fromBgy
     */
    public void setFromBgy(Boolean fromBgy) {
        this.fromBgy = fromBgy;
    }

    /**
     * @return is_sendeddestorywarnmsg
     */
    public Integer getIsSendeddestorywarnmsg() {
        return isSendeddestorywarnmsg;
    }

    /**
     * @param isSendeddestorywarnmsg
     */
    public void setIsSendeddestorywarnmsg(Integer isSendeddestorywarnmsg) {
        this.isSendeddestorywarnmsg = isSendeddestorywarnmsg;
    }

    /**
     * @return is_sendedstorecheckwarnmsg
     */
    public Integer getIsSendedstorecheckwarnmsg() {
        return isSendedstorecheckwarnmsg;
    }

    /**
     * @param isSendedstorecheckwarnmsg
     */
    public void setIsSendedstorecheckwarnmsg(Integer isSendedstorecheckwarnmsg) {
        this.isSendedstorecheckwarnmsg = isSendedstorecheckwarnmsg;
    }

    /**
     * @return is_third
     */
    public String getIsThird() {
        return isThird;
    }

    /**
     * @param isThird
     */
    public void setIsThird(String isThird) {
        this.isThird = isThird;
    }

    /**
     * @return third_party_areaid
     */
    public String getThirdPartyAreaid() {
        return thirdPartyAreaid;
    }

    /**
     * @param thirdPartyAreaid
     */
    public void setThirdPartyAreaid(String thirdPartyAreaid) {
        this.thirdPartyAreaid = thirdPartyAreaid;
    }

    /**
     * @return third_party_houseid
     */
    public String getThirdPartyHouseid() {
        return thirdPartyHouseid;
    }

    /**
     * @param thirdPartyHouseid
     */
    public void setThirdPartyHouseid(String thirdPartyHouseid) {
        this.thirdPartyHouseid = thirdPartyHouseid;
    }

    /**
     * @return third_party_ownerid
     */
    public String getThirdPartyOwnerid() {
        return thirdPartyOwnerid;
    }

    /**
     * @param thirdPartyOwnerid
     */
    public void setThirdPartyOwnerid(String thirdPartyOwnerid) {
        this.thirdPartyOwnerid = thirdPartyOwnerid;
    }

    /**
     * @return third_party_owneridfhh
     */
    public String getThirdPartyOwneridfhh() {
        return thirdPartyOwneridfhh;
    }

    /**
     * @param thirdPartyOwneridfhh
     */
    public void setThirdPartyOwneridfhh(String thirdPartyOwneridfhh) {
        this.thirdPartyOwneridfhh = thirdPartyOwneridfhh;
    }

    /**
     * @return third_party_taskid
     */
    public String getThirdPartyTaskid() {
        return thirdPartyTaskid;
    }

    /**
     * @param thirdPartyTaskid
     */
    public void setThirdPartyTaskid(String thirdPartyTaskid) {
        this.thirdPartyTaskid = thirdPartyTaskid;
    }

    /**
     * @return third_party_type
     */
    public Long getThirdPartyType() {
        return thirdPartyType;
    }

    /**
     * @param thirdPartyType
     */
    public void setThirdPartyType(Long thirdPartyType) {
        this.thirdPartyType = thirdPartyType;
    }
}